The Zonos order ID can be passed with or without your store ID and hyphen (Example: 123-45678 or 45678).After order completion and payment, the customer will be redirected to an order completion / thank you page hosted on your domain. The URL will contain a querystring parameter orderId that will contain this value.integer / string
secret REQUIRED
API secret GUID provided by Zonos.string
store REQUIRED
Store ID provided by Zonos.integer
trackingList REQUIRED
This is a list of objects. Each object should have a key/value pair with at least one key named “number” and the value of that key is one of the tracking numbers. You must have a separate object with the key/value pair for each tracking number.
HTTPS response
Message format: JSON
1{
2"success":"Updated Order: 99999 with new tracking info."
Update tracking
Update tracking
Learn how the endpoint to update tracking works.The
setShipmentTrackingendpoint is used to update an order in the Zonos system with tracking numbers.Endpoint
HTTPS request
POST |
https://api.iglobalstores.com/v2/setShipmentTrackinghttps://api.iglobalstores.com/v2/setShipmentTrackingJSON key/value pairs in the request body
Message format: JSON
{"store": "999","secret": "f5bde245-f55e-414d-b722-80b25161c12c","orderId": "999-99999","trackingList": [{"number": "1Z204E380338943508"}]}orderIdREQUIREDorderIdthat will contain this value.integer / stringsecretREQUIREDstringstoreREQUIREDintegertrackingListREQUIREDHTTPS response
Message format: JSON
{"success": "Updated Order: 99999 with new tracking info."}Was this page helpful?